﻿@model IEnumerable<eCommerce.Services.Model.Transaction>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-xs-2 text-center">Fecha</th>
            <th class="col-xs-5 text-center">Concepto</th>
            <th class="col-xs-2 text-center">Moneda</th>
            <th class="col-xs-2 text-center">Importe</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Created)</td>
            <td>@Html.DisplayFor(modelItem => item.TransactionCategory.Name) #@item.PurchaseId</td>
            <td class="text-center">@(((CurrencyEnum)item.CurrencyId).ToString())</td>
            <td class="text-right">
                @if (item.TransactionTypeId == (int)TransactionTypeEnum.Egreso &&  item.Amount > 0) 
                {
                    <span class="text-success text-semibold">
                        <i class="icon wb-chevron-up-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
                else
                {
                    <span class="text-danger text-semibold">
                        <i class="icon wb-chevron-down-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
            </td>
        </tr>
    }
    </tbody>
</table>
